Get manual time entryGET

Description

Returns a single manual time entry.

Permissions

The API token needs All data read access.

Request format

curl https://kanbanflow.com/api/v1/manual-time-entries/<MANUAL_TIME_ENTRY_ID>

Example request

curl https://kanbanflow.com/api/v1/manual-time-entries/EyS84FdLk

Example response

{
    "_id": "EyS84FdLk",
    "createdTimestamp": "2023-01-02T12:50:00Z",
    "startTimestamp": "2023-01-02T08:30:00Z",
    "endTimestamp": "2023-01-02T12:00:00Z",
    "userId": "UHJ9JgtA",
    "taskId": "T3s6UGyzY"
}

Response properties

PropertyTypeComment
_idStringThe ID of the manual time entry.
createdTimestampStringThe UTC timestamp when the manual time entry was created, for example 2023-12-31T20:00:00Z.
startTimestampStringThe UTC timestamp when the manual time entry started, for example 2023-12-31T09:00:00Z.
endTimestampStringThe UTC timestamp when the manual time entry ended, for example 2023-12-31T17:00:00Z.
userIdStringThe ID of the user that added the manual time entry.
taskIdStringThe ID of the task that the manual time entry was created on.
commentStringA comment to the time entry. Only included when set.
labelNamesArrayLabels for the time entry. Only included when there are any items. Example: ["Billable", "Project X"].